#
#   Copyright (c) 2021, Texas Instruments Incorporated
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#
#   *  Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#
#   *  Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#
#   *  Neither the name of Texas Instruments Incorporated nor the names of
#      its contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#   OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

include ../../../prodroot_pkt.mk
include tgt.mk

NAME = devnp-$(PROJECT)

define PINFO
PINFO DESCRIPTION=j721e cpsw9g driver
endef

#CCFLAGS += -DSOC_J721E -DQNX_OS -DENET_CFG_DEV_ERROR=1
CCFLAGS += -DSOC_J721E -DQNX_OS
CCFLAGS += -Wno-unused-function

#Add extra include path
EXTRA_INCVPATH += $(REMOTE_DEVICE_PATH) $(ETHFW_PATH) $(PDK_INSTALL_PATH)

#Add source path
EXTRA_SRCVPATH+=$(PROJECT_ROOT)/../src

LIBS = netdrvrS

LIBS +=:libti-remoteswitchcfg-client.a
LIBS +=:libti-remote-device-client.a
LIBS +=:enetphy.aa72fg
LIBS +=:enetsoc.aa72fg
LIBS +=:enet.aa72fg
LIBS +=:udma_apputils.aa72fg
LIBS +=:udma.aa72fg
LIBS +=:libtiudma-usr.a
LIBS +=:ti.osal.aa72fg
LIBS +=:sciclient.aa72fg
LIBS +=:ti.csl.aa72fg
LIBS +=:libtiipc-usr.a
LIBS +=:ti.csl.aa72fg

LDFLAGS += -M -Wl,-znow

include $(MKFILES_ROOT)/qtargets.mk

