#
# This file contains common linker and BIOS configuration for CPSW examples and UT
#
ifeq ($(RULES_MAKE), )
include $(PDK_INSTALL_PATH)/ti/build/Rules.make
else
include $(RULES_MAKE)
endif

SRCDIR =
INCDIR =

ifeq ($(IS_BAREMETAL),yes)
BUILD_OS_TYPE = baremetal
COMP_LIST_COMMON = $(PDK_COMMON_BAREMETAL_COMP)
CPSW_TEST_PREFIX = _baremetal
  ifeq ($(ISA),$(filter $(ISA), a53 a72))
    LNKFLAGS_LOCAL_$(CORE) += --entry Entry
  endif
else
BUILD_OS_TYPE = tirtos
INCLUDE_EXTERNAL_INTERFACES = xdc bios
COMP_LIST_COMMON = $(PDK_COMMON_TIRTOS_COMP)
CPSW_TEST_PREFIX =
XDC_CFG_FILE_$(CORE) = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/sysbios_$(ISA).cfg
endif

# we use local linker command file to make custom changes
ifeq ($(BUILD_OS_TYPE),baremetal)
  ifeq ($(SOC),$(filter $(SOC), am65xx j721e am77x))
    ifeq ($(CORE),$(filter $(CORE), mcu1_0 mcu2_0 mcu2_1))
        EXTERNAL_LNKCMD_FILE_LOCAL = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/linker_r5.lds
    endif
  endif
  ifeq ($(CORE),$(filter $(CORE), mpu1_0))
    ifeq ($(SOC),am65xx)
        EXTERNAL_LNKCMD_FILE_LOCAL   = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/linker_a53.lds
    endif
    ifeq ($(SOC),$(filter $(SOC), j721e am77x))
        EXTERNAL_LNKCMD_FILE_LOCAL   = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/linker_a72_mpu1_0.lds
    endif
  endif
endif

ifeq ($(BUILD_OS_TYPE),tirtos)
  ifeq ($(SOC),$(filter $(SOC), am65xx j721e am77x))
    ifeq ($(CORE),$(filter $(CORE), mcu1_0 mcu2_0 mcu2_1))
        EXTERNAL_LNKCMD_FILE_LOCAL = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/linker_r5_sysbios.lds
    endif
  endif
  ifeq ($(CORE),$(filter $(CORE), mpu1_0))
    ifeq ($(SOC),am65xx)
        EXTERNAL_LNKCMD_FILE_LOCAL   = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/linker_a53_sysbios.lds
    endif
    ifeq ($(SOC),$(filter $(SOC), j721e am77x))
        EXTERNAL_LNKCMD_FILE_LOCAL   = $(PDK_INSTALL_PATH)/ti/drv/cpsw/examples/build/$(SOC)/linker_a72_mpu1_0_sysbios.lds
    endif
  endif
endif

