#
#   Copyright (c) 2021, Texas Instruments Incorporated
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#
#   *  Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#
#   *  Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#
#   *  Neither the name of Texas Instruments Incorporated nor the names of
#      its contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#   OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

NAME = tiipc-mgr
INSTALLDIR = bin
USEFILE=$(PROJECT_ROOT)/$(NAME).use

define PINFO
PINFO DESCRIPTION=TI IPC-LLD Resource Manager
endef

CCOPTS += -fPIC
CCOPTS += -DSOC_J721E -DBUILD_MPU1_0 -DIPC_SUPPORT_SCICLIENT -DQNX_OS

#Add extra include path
EXTRA_INCVPATH += $(PDK_INSTALL_PATH)

#Add source path
EXTRA_SRCVPATH+=$(PROJECT_ROOT)/src

LIBS = c

EXTRA_LIBVPATH += $(PDK_INSTALL_PATH)/ti/drv/ipc/lib/j721e/qnx_mpu1_0/release/
EXTRA_LIBVPATH += $(PDK_INSTALL_PATH)/ti/osal/lib/qnx/j721e/qnx_a72/release/
EXTRA_LIBVPATH += $(PDK_INSTALL_PATH)/ti/drv/sciclient/lib/j721e/qnx_mpu1_0/release/
EXTRA_LIBVPATH += $(PDK_INSTALL_PATH)/ti/csl/lib/j721e/qnx_a72/release/
EXTRA_LIBVPATH += $(PDK_INSTALL_PATH)/ti/board/lib/j721e_evm/qnx_a72/release/

LIBS +=:ipc.aa72fg
LIBS +=:ti.csl.aa72fg
LIBS +=:sciclient.aa72fg
LIBS +=:ti.csl.aa72fg
LIBS +=:ti.osal.aa72fg
LIBS +=:ti.board.aa72fg

include $(MKFILES_ROOT)/qtargets.mk

